function query() {
	$("#bpoInterfaceInfo").html("");
	var firstDate = $("#firstDate").val();
	var lastDate = $("#lastDate").val();
	var companyName = $("#dName").val();


	if ((firstDate !="" && lastDate == "") ||( firstDate =="" && lastDate != "")) {
		alert("请填写完整日期");
		return;
	}
	if (firstDate > lastDate) {
		alert("开始日期不能大于结束日期");
		return;
	}
	if(firstDate =="" && lastDate == ""&& companyName==""){
		alert("二者必选其一");
		return;
	}
	var fds1=firstDate.split("-");
	var fds2=lastDate.split("-");
	var year = fds2[0]-fds1[0];
	var month = fds2[1]-fds1[1];
	var day = fds2[2]-fds1[2];
	if(year>1){
		alert("时间必须在一年之内");
		return;
	}else if (year==1) {
		if(month>0){
			alert("时间必须在一年之内");
			return;
		}else if (month==0) {
			if(day>0){
				alert("时间必须在一年之内");
				return;
			}
		}
		
	}
	$.ajax({
		type : "POST",
		url : "/claimserver/bpoInterface/queryBpoInterfaceInfo.do",
		data : {
			"firstDate" : firstDate,
			"lastDate" : lastDate,
			"companyName" : companyName
		},
		error : function() {
			alert("查询数据失败，请稍后重试！");
		},
		success : function(data) {
			if (data == "") {
				alert("无数据");
			}
			for ( var i = 0; i < data.length; i++) {
				$("#bpoInterfaceInfo").append(
						"<tr><td>" + data[i].batchNo + "<input type='hidden' name='batchNo' value='"+data[i].batchNo+"' /></td><td>"
								+ data[i].claimBatchNo + "</td><td>"
								+ data[i].companyName + "</td><td>"
								+ data[i].claimNo + "</td><td>"
								+ data[i].pname + "</td><td>"
								+ data[i].pid + "</td><td>"
								+ data[i].imageCount + "</td><td>"
								+ data[i].invoiceCount + "</td></tr>");
			}
		}

	});

}
function execlExport() {
	$("#bpoInterfaceInfo").val("");
	var batchNos=document.getElementsByName("batchNo");
	if(batchNos.length<1){
		alert("无导出数据");
		return;
	}
	$("#infoPut").attr('action','/claimserver/bpoInterface/execlExportSdcx.do');
	$("#infoPut").submit();
}